Bug 200336 - [PATCH] net/luasocket, don't force to build with Lua 5.1
Summary: [PATCH] net/luasocket, don't force to build with Lua 5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: David Thiel
URL:
Keywords: patch
Depends on:
Blocks: 200337
  Show dependency treegraph
 
Reported: 2015-05-19 17:40 UTC by Olivier Duchateau
Modified: 2017-02-25 01:11 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (lx)


Attachments
Patch, which avoid to build for specific Lua version (406 bytes, patch)
2015-05-19 17:40 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2015-05-19 17:40:33 UTC
Created attachment 156955 [details]
Patch, which avoid to build for specific Lua version

net/luasocket works fine with Lua 5.1 and 5.2.
Comment 1 Olivier Duchateau freebsd_committer 2015-05-19 17:48:19 UTC
Without this fix, I can't upgrade audio/lollypop to 0.9.20
Comment 2 commit-hook freebsd_committer 2017-02-13 20:46:00 UTC
A commit references this bug:

Author: lx
Date: Mon Feb 13 20:45:04 UTC 2017
New revision: 434053
URL: https://svnweb.freebsd.org/changeset/ports/434053

Log:
  Remove fixed dependency on Lua 5.1.

  PR:		200336
  Submitted by:	Olivier Duchateau

Changes:
  head/net/luasocket/Makefile
Comment 3 David Thiel freebsd_committer 2017-02-13 20:46:24 UTC
Committed, thanks!
Comment 4 Piotr Kubaj freebsd_committer 2017-02-14 10:00:27 UTC
(In reply to David Thiel from comment #3)
This breaks net-im/prosody, which depends on Lua 5.1. If you can't revert this commit, could you repocopy this port so that it depends on Lua 5.1 and make net-im/prosody depend on it?
Comment 5 David Thiel freebsd_committer 2017-02-14 21:17:25 UTC
It's my understanding that Prosody now supports 5.2, so I'll instead try to rip out the 5.1 dependency from the Prosody port. If that doesn't work, then yeah, I'll take one of those two approaches. Thanks!
Comment 6 David Thiel freebsd_committer 2017-02-14 22:13:27 UTC
It looks like I was mistaken — trunk supports 5.2, but 0.9.12 does not. Will look into repocopy or revert.
Comment 7 commit-hook freebsd_committer 2017-02-14 22:23:42 UTC
A commit references this bug:

Author: lx
Date: Tue Feb 14 22:23:06 UTC 2017
New revision: 434143
URL: https://svnweb.freebsd.org/changeset/ports/434143

Log:
  Copy luasocket to a 5.1-specific port

  PR:		200336

Changes:
  head/net/Makefile
  head/net/luasocket-51/
  head/net/luasocket-51/Makefile
Comment 8 commit-hook freebsd_committer 2017-02-15 00:43:51 UTC
A commit references this bug:

Author: lx
Date: Wed Feb 15 00:43:31 UTC 2017
New revision: 434148
URL: https://svnweb.freebsd.org/changeset/ports/434148

Log:
  Use new Lua 5.1-specific ports.

  PR:		200336

Changes:
  head/net-im/prosody/Makefile
Comment 9 Eric Rucker 2017-02-25 01:11:06 UTC
FWIW, this appears to introduce a conflict between net/luasocket-51 and net/luasocket, at least on my system, in the documentation. At least net-im/prosody appears to be the only thing needing luasocket, so I deleted net/luasocket, but there could be cases where both ports need to be installed...